%global uuid righthotcorner@fpmurphy.com
%global shortname righthotcorner

Name:           gnome-shell-extension-%{shortname}
Version:        1.0
Release:        1%{?dist}
Summary:        A gnome-shell extension for an additional hot corner

Group:          User Interface/Desktops
License:        GPLv2
URL:            http://www.fpmurphy.com/gnome-shell-extensions/
Source0:        http://www.fpmurphy.com/gnome-shell-extensions/%{shortname}-%{version}.tar.gz
BuildArch:      noarch

Requires:       gnome-shell >= 3.0.1


%description
This extension adds a new to upper right of monitor.


%prep
%setup -q -n %{uuid}


%build
# Nothing to build


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_datadir}/gnome-shell/extensions/%{uuid}
install -Dp -m 0644 {extension.js,metadata.json,stylesheet.css} \
  %{buildroot}%{_datadir}/gnome-shell/extensions/%{uuid}/


%files
%defattr(-,root,root,-)
%doc README
%{_datadir}/gnome-shell/extensions/%{uuid}/


%changelog
* Thu Jun 02 2011 Fabian Affolter <fabian@bernewireless.net> - 1.0-1
- Initial package for Fedora
